package com.softslate.commerce.daos.shipping;

import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO that runs miscellaneous queries related to shipping rule
 * ranges.
 * 
 * @author Jason McWilliams
 */
public interface ShippingRuleRangeGatewayDAO extends DAOInterface {
    abstract Map loadShippingRuleRangesAndCount(Map parameters) throws Exception;

    abstract Map editDeleteShippingRuleRanges(Map parameters,
            BusinessObjectFactory bof) throws Exception;
}
