<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<c:set var="encryptionType" value="${settings.map.administratorEncryptionType}"/>
<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />

<!-- Start administratorFieldColumns.jsp -->
<bean:define id="fieldArray" name="mainForm" property="fields" type="java.lang.String[]" />
<% java.util.Collection displayFieldCollection = java.util.Arrays.asList(displayFieldArray); %>
<logic:iterate collection="<%= fieldArray %>" id="field" type="java.lang.String">
	<% if (displayFieldCollection.contains(field)) { %>
		<td class="dataCell <c:out value="${field}"/>">
			<c:choose>
				<c:when test="${mainForm.editMode eq 'true'}">
					<c:choose>
						<c:when test="${field eq 'password'}">
							<c:choose>
								<c:when test="${encryptionType ne 'oneWay'}">********</c:when>
								<c:otherwise>[Encrypted]</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'lastLogin'}">
							<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
							<c:choose>
								<c:when test="${empty item[field]}">[No Logins]</c:when>
								<c:otherwise><c:out value="${item[field]}"/></c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'isActive'}">
							<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
							<input type="checkbox" name="dummy" <c:if test="${item[field] ne 'false'}">checked="checked"</c:if> onclick="updateCheckboxField(this, '<c:out value="${field}"/>', <c:out value="${j}"/>)"/>
						</c:when>
						<c:otherwise>
							<input type="text" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
						</c:otherwise>
					</c:choose>
				</c:when>
				<c:otherwise>
					<c:choose>
						<c:when test="${field eq 'password'}">
							<c:choose>
								<c:when test="${encryptionType ne 'oneWay'}">********</c:when>
								<c:otherwise>[Encrypted]</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'lastLogin'}">
							<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
							<c:choose>
								<c:when test="${empty item[field]}">[No Logins]</c:when>
								<c:otherwise><c:out value="${item[field]}"/></c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'isActive'}">
							<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
							<c:choose>
								<c:when test="${item[field] eq 'true'}">yes</c:when>
								<c:otherwise>no</c:otherwise>
							</c:choose>
						</c:when>
						<c:otherwise>
							<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
							<c:out value="${item[field]}"/>
						</c:otherwise>
					</c:choose>
				</c:otherwise>
			</c:choose>
		</td>
	<% } %>
</logic:iterate>

<!-- End administratorFieldColumns.jsp -->
