<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start assignmentButtons.jsp -->
<div class="assignmentButtons">
	<form name="assignmentForm" action="<c:out value="${formAction}"/>" method="post">
		<html:hidden name="mainForm" property="itemsPerPage"/>
		<input type="hidden" name="firstRow" value="1"/>
		<html:hidden name="mainForm" property="editMode"/>
		<html:hidden name="mainForm" property="searchString"/>
		<html:hidden name="mainForm" property="sortByString"/>
		<html:hidden name="mainForm" property="sortAscOrDesc"/>
		<c:set var="displayFieldArray" value="${mainForm.displayFields}" />
		<% Object displayFieldArray = pageContext.getAttribute("displayFieldArray"); %>
		<logic:iterate collection="<%= displayFieldArray %>" id="displayField" type="java.lang.String">
			<input type="hidden" name="displayFields" value="<%= displayField %>" />
		</logic:iterate>
		<c:if test="${!empty parentIDField}">
			<input type="hidden" name="parentIDField" value="<c:out value="${parentIDField}"/>"/>
			<input type="hidden" name="<c:out value="${parentIDField}"/>" value="<c:out value="${parentIDValue}"/>"/>
		</c:if>
		<input type="hidden" name="assignments" value="all"/>
	</form>
	<ul id="tabnav">
		<li<c:if test="${mainForm.assignments eq 'assigned'}"> class="active"</c:if>><a href="#" onclick="document.forms.assignmentForm.assignments.value='assigned';document.forms.assignmentForm.submit();return false;" class="crumb">Assigned</a></li>
		<li<c:if test="${mainForm.assignments eq 'unassigned'}"> class="active"</c:if>><a href="#" onclick="document.forms.assignmentForm.assignments.value='unassigned';document.forms.assignmentForm.submit();return false;" class="crumb">Unassigned</a></li>
		<li<c:if test="${mainForm.assignments eq 'all'}"> class="active"</c:if>><a href="#" onclick="document.forms.assignmentForm.assignments.value='all';document.forms.assignmentForm.submit();return false;" class="crumb">All</a></li>
	</ul>
</div>					
<!-- End assignmentButtons.jsp -->
