<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start requestLogEditForm.jsp -->
<html:form action="/RequestLogEdit" method="post">
	<html:hidden name="requestLogAddEditForm" property="requestLogID" />
	<table class="addEditTable settingsTable">
		<ssc:insert attribute="formGuts" />
	</table>
	<logic:equal name="editPermission" value="true">
		<div class="adminAddEditButton">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</logic:equal>
</html:form>
<logic:equal name="editPermission" value="true">
	<form name="requestLogDeleteForm" class="adminDeleteButton" action="<c:out value="${settings.map.administratorURL}"/>/RequestLogDelete.do" method="post">
		<input type="hidden" name="requestLogID" value="<bean:write name="requestLogAddEditForm" property="requestLogID" />" />
		<input type="hidden" name="sessionID" value="<bean:write name="requestLogAddEditForm" property="sessionID" />" />
		<input type="submit" onclick="return confirm('<bean:message key="administrator.confirmDelete" bundle="/administrator/administrator"/>')" class="button" name="deleteSubmit"
			value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
	</form>
</logic:equal>

<!-- End requestLogEditForm.jsp -->
