<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start emailFieldColumns.jsp -->
<c:if test="${!empty orders}">
	<bean:size id="ordersSize" name="orders"/>
</c:if>
<c:if test="${!empty customers}">
	<bean:size id="customersSize" name="customers"/>
</c:if>
<c:if test="${!empty templates}">
	<bean:size id="templatesSize" name="templates"/>
</c:if>
<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />
<bean:define id="fieldArray" name="mainForm" property="fields" type="java.lang.String[]" />
<% java.util.Collection displayFieldCollection = java.util.Arrays.asList(displayFieldArray); %>
<logic:iterate collection="<%= fieldArray %>" id="field" type="java.lang.String">
	<% if (displayFieldCollection.contains(field)) { %>
		<td class="dataCell <c:out value="${field}"/>">
			<c:choose>
				<c:when test="${field eq 'emailID'}">
					<c:out value="${item[field]}" />
				</c:when>
				<c:when test="${mainForm.editMode eq 'true'}">
					<c:choose>
						<c:when test="${field eq 'orderID'}">
							&#8212;
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
						</c:when>
						<c:when test="${field eq 'customerID'}">
							&#8212;
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
						</c:when>
						<c:when test="${field eq 'templateID'}">
							&#8212;
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
						</c:when>
						<c:when test="${field eq 'isActive'}">
							<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
							<input type="checkbox" name="dummy" <c:if test="${item[field] ne 'false'}">checked="checked"</c:if> onclick="updateCheckboxField(this, '<c:out value="${field}"/>', <c:out value="${j}"/>)"/>
						</c:when>
						<c:when test="${field eq 'bodyHtml' or field eq 'bodyText'}">
							<textarea rows="2" name="<c:out value="${field}" />"><c:out value="${item[field]}" /></textarea>
						</c:when>
						<c:otherwise>
							<input type="text" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
						</c:otherwise>
					</c:choose>
				</c:when>
				<c:otherwise>
					<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
					<c:choose>
						<c:when test="${field eq 'orderID'}">
							<c:choose>
								<c:when test="${empty item.orderID or item.orderID == 0}">
									&#151;
								</c:when>
								<c:otherwise>
									<c:out value="${item.order.orderID}"/> (<c:out value="${item.order.orderNumber}"/>)
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'customerID'}">
							<c:choose>
								<c:when test="${empty item.customerID or item.customerID == 0}">
									&#151;
								</c:when>
								<c:otherwise>
									<c:out value="${item.customer.userName}"/>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'templateID'}">
							<c:choose>
								<c:when test="${empty item.templateID or item.templateID == 0}">
									&#151;
								</c:when>
								<c:otherwise>
									<c:out value="${item.template.code}"/>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'isActive'}">
							<c:choose>
								<c:when test="${item[field]}">yes</c:when>
								<c:otherwise>no</c:otherwise>
							</c:choose>
						</c:when>
						<c:otherwise>
							<c:out value="${item[field]}" />
						</c:otherwise>
					</c:choose>
				</c:otherwise>
			</c:choose>
		</td>
	<% } %>
</logic:iterate>
<!-- End emailFieldColumns.jsp -->
