<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start categoryEditForm.jsp -->
<html:form action="/CategoryEdit" method="post" enctype="multipart/form-data">
	<html:hidden name="categoryAddEditForm" property="categoryID" />
	<logic:equal name="editPermission" value="true">
		<div class="adminAddEditButtonTop">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</logic:equal>
	<table class="addEditTable settingsTable">
		<tr>
			<td class="genericLabel">
				Category ID:
			</td>
			<td>
				<bean:write name="categoryAddEditForm" property="categoryID" />
			</td>
		</tr>
		<ssc:insert attribute="formGuts" />
	</table>
	<logic:equal name="editPermission" value="true">
		<div class="adminAddEditButton">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</logic:equal>
</html:form>
<logic:equal name="editPermission" value="true">
	<form name="categoryDeleteForm" class="adminDeleteButton" action="<c:out value="${settings.map.administratorURL}"/>/CategoryDelete.do" method="post">
		<input type="hidden" name="categoryID" value="<bean:write name="categoryAddEditForm" property="categoryID" />" />
		<input type="hidden" name="code" value="<bean:write name="categoryAddEditForm" property="code" />" />
		<c:if test="${categoryAddEditForm.isContentPage}">
			<input type="hidden" name="workWithCategories" value="Content Pages"/>
		</c:if>
		<input type="submit" onclick="return confirm('<bean:message key="administrator.confirmDelete" bundle="/administrator/administrator"/>')" class="button" name="deleteProductSubmit"
			value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
	</form>
</logic:equal>

<!-- End categoryEditForm.jsp -->
