UPDATE sscSetting SET smallValue='2.3.1' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('storeLogo','Store Logo','The URL path (relative or absolute) to the logo image for the store appearing in the header. If not defined, the name of the store will be displayed instead. (Applies only to the default-xhtml Base Layout.)','DISPLAY', 'mediumValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('cssTheme','CSS Theme','The theme in effect for the store. Corresponds to a subdirectory under /css containing the CSS styles. The base theme is always included before the selected theme, and the custom theme is included after. (Applies only to the default-xhtml Base Layout.)','DISPLAY', 'smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fontFamily','Font Family','The font family in effect for the store. Select Other and leave blank to use the font family defined in the CSS theme. (Applies only to the default-xhtml Base Layout.)','DISPLAY', 'smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('mainColor','Main Color','The color used in prominent places within the layout of the store, including the navigation bar, and the background of the widgets. Leave blank to use the color defined in the CSS theme. (Applies only to the default-xhtml Base Layout.)','DISPLAY', 'smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('headingColor','Heading Color','The color used for the text headings on each screen. Leave blank to use the color defined in the CSS theme. (Applies only to the default-xhtml Base Layout.)','DISPLAY', 'smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('buttonColor','Button Color','The color used for the background of all buttons. Leave blank to use the color defined in the CSS theme. (Applies only to the default-xhtml Base Layout.)','DISPLAY', 'smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('displayAddToCartOnListPages','Display Add to Cart on List Pages?','If true, search results, category pages, and other product lists will prompt customers to add multiple items to their cart at once. (Applies only to the default-xhtml Base Layout.)','DISPLAY', 'integerValue',0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('baseLayout','Base Layout','The layout directory used for any JSP templates that do not exist in the current layout for the user. The two valid values are default (a legacy set of templates) and default-xhtml (a newer, CSS-based set of templates).','DISPLAY', 'smallValue',NULL,'default',NULL,NULL);

INSERT INTO sscRole(code, name, description)
VALUES('orderPaymentView', 'Order Payment Viewer', 'Allows access to view payment information for an order.');
INSERT INTO sscRole(code, name, description)
VALUES('orderPaymentEdit', 'Order Payment Editor', 'Allows access to view, edit, and delete payment information for an order.');
