<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.product.LuceneFacetHelper" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<div id="${facetTopGroup.facetName}" class="facetGroup panel panel-default">
	<div class="panel-heading">
		<h5 class="facetResultHeading panel-title"><bean:message key="product.unitPrice" bundle="/product"/></h5>
	</div>
	<ul class="facetList panel-body">
		<c:forEach var="facet" items="${facetTopGroup.subResults}">
			<c:set var="facetPath" scope="request" value="${facet.facetName}"/>
			<c:set var="facetPathSurrounded" value=",${facet.facetName},"/>
			<ssc:insert page="/WEB-INF/layouts/default/product/facetedSearchPriceRangeFormat.jsp"/>
			<li id="${facetPath}" class="facet">
				<label class="facetNameAndCount" for="checkbox-${facetPath}">
					<input type="checkbox" class="drilldown" name="facets" value="${facetPath}" id="checkbox-${facetPath}" <c:if test="${fn:contains(incomingFacets, facetPathSurrounded)}">checked="checked"</c:if>/>&nbsp;
					<span class="facetName">${requestScope.formattedPriceRange}</span>&nbsp;
					<span class="badge facetCount"><fmt:formatNumber maxFractionDigits="0" value="${facet.facetValue}"/></span>
				</label>
			</li>
		</c:forEach>
	</ul>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
