<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)"/>

<!-- Start skuFieldColumns.jsp -->
<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />
<bean:define id="fieldArray" name="mainForm" property="fields" type="java.lang.String[]" />
<% java.util.Collection displayFieldCollection = java.util.Arrays.asList(displayFieldArray); %>
<logic:iterate collection="<%= fieldArray %>" id="field" indexId="i" type="java.lang.String">
	<% if (displayFieldCollection.contains(field)) { %>
		<td class="dataCell <c:out value="${field}"/>">
			<c:choose>
				<c:when test="${field eq 'productID'}">
					<c:choose>
						<c:when test="${empty item[field] or item[field] eq '0'}">
							&#151;
						</c:when>
						<c:when test="${!empty item.product}">
							<a href="<bean:write name="administratorURL"/>/ProductEditForm.do?productID=<c:out value='${item.product.productID}'/>&categoryID="><c:out value='${item.product.code}'/></a>
							- <c:out value='${item.product.name}'/>
						</c:when>
					</c:choose>
				</c:when>
				<c:when test="${field eq 'attributeOption1' 
								or field eq 'attributeOption2'
								or field eq 'attributeOption3'
								or field eq 'attributeOption4'
								or field eq 'attributeOption5'}">
					<bean:define id="attributeOptionTemp" name="item" property="<%= field %>"/>
					<logic:notEmpty name="attributeOptionTemp">
						<bean:define id="attributeOption" value="<%= attributeOptionTemp.toString() %>" type="java.lang.String"/>
						<% String oneThruFive = field.substring(field.length() -1); %>
						<% String attributeProperty = "attribute" + oneThruFive; %>
						<logic:notEmpty name="item" property="<%= attributeProperty %>">
						<bean:define id="attribute" name="item" property="<%= attributeProperty %>"/>
						<logic:notEmpty name="attribute">
							<c:set var="thisValue" value="${attribute.attributeID}|0"/>
							<c:if test="${! empty attributeOption and attributeOption eq thisValue}">
								<bean:write name="attribute" property="attributeCode"/> = [Any Option]
							</c:if>
							<logic:iterate id="option" name="attribute" property="attributeOptions">
								<c:set var="thisValue" value="${attribute.attributeID}|${option.optionID}"/>
								<c:if test="${! empty attributeOption and attributeOption eq thisValue}">
									<bean:write name="attribute" property="attributeCode"/> = <bean:write name="option" property="optionCode"/>
								</c:if>
							</logic:iterate>
						</logic:notEmpty>
						</logic:notEmpty>
					</logic:notEmpty>
				</c:when>
				<c:when test="${field eq 'skuID'}">
					<c:out value="${item[field]}" />
				</c:when>
				<c:when test="${mainForm.editMode eq 'true'}">
					<c:choose>
						<c:when test="${field eq 'trackInventory'}">
							<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
							<input type="checkbox" name="dummy" <c:if test="${item[field] ne 'false'}">checked="checked"</c:if> onclick="updateCheckboxField(this, '<c:out value="${field}"/>', <c:out value="${j}"/>)"/>
						</c:when>
						<c:when test="${field eq 'notes'}">
							<textarea rows="2" name="<c:out value="${field}" />"><c:out value="${item[field]}" /></textarea>
						</c:when>
						<c:otherwise>
							<input type="text" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
						</c:otherwise>
					</c:choose>
				</c:when>
				<c:otherwise>
					<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
					<c:choose>
						<c:when test="${field eq 'trackInventory'}">
							<c:choose>
								<c:when test="${item[field]}">
									yes
								</c:when>
								<c:otherwise>
									no
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:otherwise>
							<c:out value="${item[field]}" />
						</c:otherwise>
					</c:choose>
				</c:otherwise>
			</c:choose>
		</td>
	<% } %>
</logic:iterate>
<!-- End skuFieldColumns.jsp -->
