<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start basicTaxFieldColumns.jsp -->
<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />
<bean:define id="fieldArray" name="mainForm" property="fields" type="java.lang.String[]" />
<% java.util.Collection displayFieldCollection = java.util.Arrays.asList(displayFieldArray); %>
<logic:iterate collection="<%= fieldArray %>" id="field" type="java.lang.String">
	<% if (displayFieldCollection.contains(field)) { %>
		<td class="dataCell <c:out value="${field}"/>">
			<c:choose>
				<c:when test="${field eq 'basicTaxRateID'}">
					<c:out value="${item[field]}" />
				</c:when>
				<c:when test="${mainForm.editMode eq 'true'}">
					<c:choose>
						<c:when test="${field eq 'countryID'}">
							<c:if test="${!empty item.country}"><% ((com.softslate.commerce.businessobjects.tax.BasicTaxRate)request.getAttribute("item")).setCountryID(new Integer(((com.softslate.commerce.businessobjects.tax.BasicTaxRate)request.getAttribute("item")).getCountry().getCountryID()));%></c:if>
							<c:if test="${empty item.country}"><% ((com.softslate.commerce.businessobjects.tax.BasicTaxRate)request.getAttribute("item")).setCountryID(null);%></c:if>
							<html:select name="item" property="countryID">
								<option value="0">[Any]</option>
								<option value="">-------------</option>
								<html:options collection="countries" property="countryID" labelProperty="name"/>
							</html:select>
						</c:when>
						<c:when test="${field eq 'stateID'}">
							<c:if test="${!empty item.state}"><% ((com.softslate.commerce.businessobjects.tax.BasicTaxRate)request.getAttribute("item")).setStateID(new Integer(((com.softslate.commerce.businessobjects.tax.BasicTaxRate)request.getAttribute("item")).getState().getStateID()));%></c:if>
							<c:if test="${empty item.state}"><% ((com.softslate.commerce.businessobjects.tax.BasicTaxRate)request.getAttribute("item")).setStateID(null);%></c:if>
							<html:select name="item" property="stateID">
								<option value="0">[Any]</option>
								<option value="">-------------</option>
								<html:options collection="states" property="stateID" labelProperty="name"/>
							</html:select>
						</c:when>
						<c:when test="${field eq 'isActive'}">
							<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
							<input type="checkbox" name="dummy" <c:if test="${item[field] ne 'false'}">checked="checked"</c:if> onclick="updateCheckboxField(this, '<c:out value="${field}"/>', <c:out value="${j}"/>)"/>
						</c:when>
						<c:otherwise>
							<input type="text" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
						</c:otherwise>
					</c:choose>
				</c:when>
				<c:otherwise>
					<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
					<c:choose>
						<c:when test="${field eq 'countryID'}">
							<c:choose>
								<c:when test="${empty item.countryID}">
									[Any]
								</c:when>
								<c:otherwise>
									<c:forEach items="${countries}" var="country">
										<c:if test="${country.countryID == item.countryID}">
											<c:out value="${country.name }" />
										</c:if>
									</c:forEach>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'stateID'}">
							<c:choose>
								<c:when test="${empty item.stateID}">
									[Any]
								</c:when>
								<c:otherwise>
									<c:forEach items="${states}" var="state">
										<c:if test="${state.stateID == item.stateID}">
											<c:out value="${state.name }" />
										</c:if>
									</c:forEach>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'isActive'}">
							<c:choose>
								<c:when test="${item[field]}">
									yes
								</c:when>
								<c:otherwise>
									no
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:otherwise>
							<c:out value="${item[field]}" />
						</c:otherwise>
					</c:choose>
				</c:otherwise>
			</c:choose>
		</td>
	<% } %>
</logic:iterate>
<!-- End basicTaxDataTable.jsp -->
